nagios3 (3.5.1.dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * B-D on libgd-dev instead libgd2-(no)xpm-dev (Closes: #791840)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 18:55:32 +0100

nagios3 (3.5.1.dfsg-2) unstable; urgency=medium

  * [a72437b] Make apache.conf compatible with apache 2.4.10 (Closes: #762096)
  * [99f6a27] Check for existance of files in setperm() (Closes: #683521)

 -- Alexander Wirt <formorer@debian.org>  Sun, 05 Oct 2014 11:53:19 +0200

nagios3 (3.5.1.dfsg-1) unstable; urgency=medium

  * [111b7c7] Check if apache init script exists before invoking it.
  * [3d4069b] Imported Upstream version 3.5.1.dfsg
  * [848ee55] Remove minified jquery versions and use packaged jquery
    (Closes: #737441)

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Aug 2014 11:29:32 -0700

nagios3 (3.5.1-1) unstable; urgency=medium

  * [bf5522e] Enable cgi module for apache 2.4 (Closes: #725177)
  * [744e794] Stick to 3.x for now
  * [5d1f7c2] Imported Upstream version 3.5.1
              Closes: #642515
  * [43e7d66] Remove obsolete patches
  * [65bee9b] Move to quilt
  * [77d98da] Remove dpatch dependency
  * [63dacfb] Bump standards version
  * [053130c] Take care that /var/run/nagios3 is created at boot time
  * [cfca1db] Remove leading 'a' from description
  * [057dfb9] Remove dpatch from rules file
  * [de834df] Move /var/run/nagios3 creation to initscript (Closes: #689901)
  * [ee6422c] Make 3.0 quilt more vcs friendly
  * [c88bef8] don't let nagios call home. This fixes CVE-2013-4214.
    (Closes: #719056)
  * [828c43f] Bump standards version.
  * [611d0f9] Don't ship folder in /var/run (Closes: #689901)

 -- Alexander Wirt <formorer@debian.org>  Fri, 03 Jan 2014 23:18:34 +0100

nagios3 (3.4.1-5) unstable; urgency=low

  * [8b23685] Remove obsolete webapps configuration (Closes: #714707, #714258)
  * [6abb302] Cleanup password handling
  * [e4a9bf7] Fix password handling

 -- Alexander Wirt <formorer@debian.org>  Sun, 21 Jul 2013 12:02:14 +0200

nagios3 (3.4.1-4) unstable; urgency=high

  * [cd50049] Add missing check command in initscript (Closes: #680615)
  * [77c9d0e] Fix typo in initscript
  * [a2c78a1] Stop status.cgi from listing unauthorized hosts and services in servicegroup view (CVE-2013-2214)
    Thanks to Jonas Meurer for the report and the patch (Closes: #714171)
  * [51fb59b] Backport upstream r1953 to fix downtime retention across restarts.
    Thanks to Didier 'OdyX' Raboud for the patch (Closes: #710356)
  * [c14f6cf] Deprecate Nagios1 compatible Nagios configuration
  * [bfc4c8d] Don't use files from docs/examples (Closes: #709957)
  * [abe9bc9] Update web specific packaging for apache 2.4

 -- Alexander Wirt <formorer@debian.org>  Thu, 27 Jun 2013 00:40:30 +0200

nagios3 (3.4.1-3) unstable; urgency=low

  * Fix several overflows in getcgi.cgi and history.cgi
    This is fix for CVE 2012-6096 (Closes: #697930)

 -- Alexander Wirt <formorer@debian.org>  Sun, 27 Jan 2013 19:24:49 +0100

nagios3 (3.4.1-2) unstable; urgency=low

  * [265c38d] Don't call the updatecheck on debian
  * [4550d49] Use debians jquery instead of the shipped one
  * [9976373] Remove stupid date() warning in PHP and set
              UTC as default timezone

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Jun 2012 10:44:31 +0200

nagios3 (3.4.1-1) unstable; urgency=low

  * [28e077b] Imported Upstream version 3.3.1
  * [d5314e0] don't call updatepo in clean target
  * [45b3eb9] Don't remove config foo
  * [54e3dff] Don't fix permissions in cgi postinst
  * [d7be9db] Build-depend on libpng-dev (Closes: #662441)
  * [4c47006] Add dutch po translation (Closes: #654855)
  * [2b6573b] Refresh 10_p1_pl_shebang.dpatch
  * [316fd7a] Update 40_fix_spurious_dollar_signs_added_to_command_lines
  * [5ff2780] Refresh 55_strip_logarchivepath.dpatch
  * [811d269] Refresh 60_fix_p1.pl_patch_mini_epn.dpatch
  * [39a1e9c] Remove now unneeded patch 98_fix_XSS_CVE-2011-2179
  * [785a4e8] Remove unneded patch 99_fix_XSS_CVE-2011-1523
  * [6ce98ef] Remove unneeded patchs from 00list
  * [1d18266] Imported Upstream version 3.4.0
  * [05584c8] Refresh patches
  * [58098cd] Imported Upstream version 3.4.1
  * [3e9e07a] Bump standards version
  * [fe991e2] wrap-and-sort
  * [1ba78f7] Also create /var/run/nagios in cgi package (Closes: #626854)

 -- Alexander Wirt <formorer@debian.org>  Sat, 16 Jun 2012 09:05:19 +0200

nagios3 (3.2.3-3) unstable; urgency=high

  * [9149473] Fix CVE-2011-2179: XSS via expand function in config.cgi (Closes: #629127).
  * [b5f30e1] Fix for CVE-2011-1523: XSS problem in statusmap.cgi (Closes: #629127)

 -- Alexander Wirt <formorer@debian.org>  Sat, 04 Jun 2011 20:22:20 +0200

nagios3 (3.2.3-2) unstable; urgency=low

  * Fix status function of initscript
  * Allow deconfiguration of webservers via debconf (Closes: #591786)
  * Add ExecCGI for index.php (Closes: #584696)
  * Add danish po translation (Closes: #605520)
  * Add option in default file to disable nagios3 at boottime (Closes:
    #602490)
  * [c01bde3] Enable hardening.
    Thanks to Kees Cook (Closes: #542727)

 -- Alexander Wirt <formorer@debian.org>  Sun, 22 May 2011 09:29:56 +0200

nagios3 (3.2.3-1) unstable; urgency=low

  * New upstream version
  * Remove iputils-ping from build-dep (Closes: #590552)
  * Add index.html to apache2.conf (Closes: #598859) 
  * Bump standards version (No changes)

 -- Alexander Wirt <formorer@debian.org>  Sat, 02 Oct 2010 19:01:32 +0200

nagios3 (3.2.1-2) unstable; urgency=low

  * Fix "Missing conflict with nagios3 v3.0.6-4~lenny2 (/usr/lib/cgi-
    bin/nagios3/extinfo.cgi": add a versioned Replaces/Breaks on nagios3 to
    nagios3-cgi (Closes: #585410). Make the other Replaces versioned too and
    also add them to the new Breaks.

    Thanks to Gregor Herrmann for the patch

  * Bump Standards version (no changes)

 -- Alexander Wirt <formorer@debian.org>  Fri, 02 Jul 2010 09:09:10 +0200

nagios3 (3.2.1-1) unstable; urgency=low

  * New upstream version
  * Fix strip of logarchivepath (Closes: #578232)

 -- Alexander Wirt <formorer@debian.org>  Sat, 08 May 2010 21:36:50 +0200

nagios3 (3.2.0-5) unstable; urgency=low

  [ Jan Wagner ]
  * Add Close to last changelog entry

  [ Alexander Wirt ]
  * Don't rely on nagios3-cgi in initscript 
  * Fix init-functions logic (Closes: #561357)
  * Add a status interface to init (Closes: #553300)
  * Rework packaging based on my icinga packaging
  * We use debsource 1.0 

 -- Alexander Wirt <formorer@debian.org>  Mon, 12 Apr 2010 21:36:13 +0200

nagios3 (3.2.0-4) unstable; urgency=low

  * Add nagios3-doc to Replaces in nagios3-cgi (Closes: 551813)

 -- Alexander Wirt <formorer@debian.org>  Fri, 23 Oct 2009 13:30:01 +0200

nagios3 (3.2.0-3) unstable; urgency=low

  * Replace o with * as bullet character (Closes: #552023)

 -- Alexander Wirt <formorer@lisa.springfield.lan>  Thu, 22 Oct 2009 22:30:50 +0200

nagios3 (3.2.0-2) unstable; urgency=medium

  * Remove junkbytes from apache2.conf (Closes: #544190)
  * Install debconf files also in arch-dep files (Closes: #549683)

 -- Alexander Wirt <formorer@debian.org>  Sun, 11 Oct 2009 19:52:29 +0200

nagios3 (3.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #542957)
    - Timeperiods should work as expected now (Closes: #539882)
    - Recovery notifications fixed (Closes: #543657)
  * Update standards version 
    - Add README.source
  * Manpage errors fixed (Closes: #540554)
  * Split up the webfrontend into its own package (Closes: #479338, #485466)

 -- Alexander Wirt <formorer@debian.org>  Sun, 16 Aug 2009 14:14:23 +0200

nagios3 (3.0.6-5) unstable; urgency=high

  * Fix Command Injection Vulnerability in statuswml.cgi.
    This applies for SA35543.
  * Bump standards version
    - Add -dbg package to section debug

 -- Alexander Wirt <formorer@debian.org>  Mon, 29 Jun 2009 13:55:45 +0200

nagios3 (3.0.6-4) unstable; urgency=low

  * Fix syntax error in nagios3-common.prerm 
    (Closes: #519341, #514168, #518884)
  * Call ucf with --debconf-ok in nagios3-common.postrm. 
    Depend on ucf >= for this "feature" (Closes: #513905, #515289)
  * Do not fail if apache include file has been removed by the user 
    (Closes: #515260)
  * Remove rw pipe even if it is a file (Closes: #495236) 
  * Move debug log to /var/log (Closes: #502080)
  * Readd documentation for nagios_check_command (Closes: #508439)
  * Especially allow access to /etc/nagios3/stylesheets in apache2.conf
    (Closes: #495245)
  * Move homedirectory of the nagios user to /var/lib/nagios 
    (Closes: #500709)
  * Adjust priority to htpass question to high 

 -- Alexander Wirt <formorer@debian.org>  Sat, 21 Mar 2009 09:00:47 +0100

nagios3 (3.0.6-3) unstable; urgency=low

  [ Alexander Wirt ]
  * Don't mention conf.d directories for external command checks (Closes: #431953) 
  * Don't ship obsolete extcommands_nagios3.cfg 

  [ Luk Claes ]
  * Don't fail if $apacheconf doesn't exist while removing (Closes: #512882)
  * Add myself to Uploaders.

 -- Luk Claes <luk@debian.org>  Sun, 25 Jan 2009 19:10:29 +0100

nagios3 (3.0.6-2) unstable; urgency=low

  * Fix forced single servicechecks  

 -- Alexander Wirt <formorer@debian.org>  Fri, 12 Dec 2008 13:51:44 +0100

nagios3 (3.0.6-1) unstable; urgency=high

  * New upstream version
    - Even more fixes for CVE-2008-5028 
  * Urgency high for security fixes
  * Add ${shlibs:Depends} (Fixes lintian error, as the epn debugger 
    should depend on libc)
  * Add ${misc:Depends} to binaries (Fixes lintian warning)

 -- Alexander Wirt <formorer@debian.org>  Mon, 08 Dec 2008 02:51:21 +0100

nagios3 (3.0.5-1) unstable; urgency=low

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
    - Italian. Closes: #505813
    - Polish. Closes: #506851

  [ Alexander Wirt ]
  * New upstream version
    - Adds security fix for cmd.cgi (Closes: #504894)
      This security problem is referenced as CVE-2008-5028 and SA32610

 -- Alexander Wirt <formorer@debian.org>  Fri, 28 Nov 2008 21:18:27 +0100

nagios3 (3.0.3-3) unstable; urgency=low

  [ Alexander Wirt ]
  * Create /var/lib/nagios3/spool/checkresults (Closes: #492201)
  * Refer to nagios-plugins-basic instead of nagios-plugins in commands.cfg
    (Closes: #493107) 
  * Fix helper paths in contributed eventhandlers (Closes: #493790)
  * Fix '+' decoding in trend.cgi (Closes: #495052)
  * Don't fail if nagios3 is already started or not running (Closes: #499571)
  [ Christian Perrier ]
  * Fix pending l10n bugs. Debconf translations:
      - Brazilian Portuguese. Closes: #495225
      - Russian. Closes: #499032
      - Basque. Closes: #499113
      - Swedish. Closes: #499343
      - Finnish. Closes: #499706

 -- Alexander Wirt <formorer@debian.org>  Sun, 05 Oct 2008 12:02:20 +0200

nagios3 (3.0.3-2) unstable; urgency=medium

  [ Jan Wagner ]
  * fixing temp_file location in 52_nagios.cfg-debianize.dpatch
    (Closes: #491617)

 -- Alexander Wirt <formorer@debian.org>  Mon, 21 Jul 2008 09:41:11 +0200

nagios3 (3.0.3-1) unstable; urgency=low

  [ Jan Wagner ]
  * readd mailx as optional dependency
  * add lintian override for empty dir in nagios3-doc

  [ Alexander Wirt ]
  * New upstream version (Closes: #489888)
    - Fixes some screwup in xodtemplate.c (Closes: #479044)
  * Update controlfiles since nagios3 had replaced nagios2
  * Moved the *.diff mechanism to dpatch and some magic sed stuff
  * Debians conf.d at the end of the config useless. Move it back to all
    other debian specific configs
  * Add mini_epn to nagios3-dbg

 -- Alexander Wirt <formorer@debian.org>  Fri, 18 Jul 2008 21:29:33 +0200

nagios3 (3.0.2-1) unstable; urgency=low

  [ Alexander Wirt ]
  * Remove bashism from rules file (Closes: #479324, #478412)
  * Set p1.pl DEBUG_LOG_PATH to /var/log/nagios3/ (Closes: #478877)
  * Start nagios3 in nagios3.postinst (Closes: #481334)
  * Add a patch from Stephane Chazelas which fixes the incluѕion of spurious $
    signs into command output (Closes: #479061)

  [ Jan Wagner ]
  * New upstream release (Closes: #485439)
    * Fix XSS vulnerability (CVE-2007-5803).
  * updated cfg-cgi.cfg.diff, cfg-commands.cfg.diff and cfg-nagios.cfg.diff
    for new upstream release and remove version from config files
    (Closes: #482178)
  * Updating standards version to 3.8.0, no changes needed
  * add myself fo Uploaders
  * add doc-base support (Closes: #479334)
  * replace dependency of mailx with bsd-mailx
  * added Vcs- fields into source header's field
  * take care if killproc isn't able to stop daemon via stop target of
    initscript, thanks Stephen Gran <sgran@debian.org> for providing this fix
    (Closes: #479329)

 -- Alexander Wirt <formorer@debian.org>  Tue, 10 Jun 2008 21:26:00 +0200

nagios3 (3.0.1-1) unstable; urgency=low

  * New upstream version (Closes: #475041)
  * Move cfg_dir=/etc/nagios3/conf.d to the end of nagios.cfg to
    allow overwriting variables from nagios.cfg in conf.đ/
  * Disable external_commands in nagios.cfg as they are now enabled by
    default

 -- Alexander Wirt <formorer@debian.org>  Tue, 08 Apr 2008 20:39:11 +0200

nagios3 (3.0-1) unstable; urgency=low

  * New upstream release (Closes: #471485)

 -- Alexander Wirt <formorer@debian.org>  Wed, 06 Feb 2008 14:48:38 +0100

nagios2 (2.10-1) unstable; urgency=low

  * NOT RELEASED YET
  * New upstream release
    * Fix XSS vulnerability (CVS-2007-5624). Closes: #448371
  * Adapt sample config patches
  * Fix permissions on /var/log/nagios2/archives.
    Thanks to Michael Feger. Closes: #429820
  * Fix typo in localhost_nagios2.cfg.
    Thanks to Justin Pryzby. Closes: #430477.
  * New Portuguese debconf translations from Rui Branco and the Traduz
    team. Closes: #436155.
  * Rearrange apache2.conf so that the Stylesheet alias path is
    actually used.
    Thanks to Joerg Dorchain. This may fix #420009
  * Relax dependency on web server to Recommends. Depend on
    apache2-utils since we need htpasswd.
    Thanks to Japp Eldering. Closes: #413519
  * Move stylesheets to /etc, create a symlink.
    Thanks to Joerg Dorchain and Steve Greenland. Closes: #420011
  * Fix suboptimal formatting of package descriptions.
    Thanks to Sam Morris. Closes: 413494
  * debian/control: re-order Source stanza according to dpkg 1.14.7,
    add Homepage field. We're going to leave in the Upstream URL in the
    package description for a while though.
  * Unmark package names for translation in debconf templates.
    Thanks to Kobayashi Noritada. Closes: #413127

  [Jan Wagner]
  * fixed README.Debian about setting check_external_commands=1
    (closes: #431953).

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 31 Oct 2007 19:47:31 +0100

nagios2 (2.9-1) unstable; urgency=low

  * New upstream release (closes: #414647).
  * new dutch (nl) debconf translations from cobaco (closes: #414762).
  * new japanese (ja) debconf translations from Kobayashi Noritada
    (closes: #413122).
  * Fix wrong path to debian.gd2 in extinfo_nagios2.cfg (closes: #423639).
  [Sean Finney]
  * various fixes/cleanups in init script should resolve issues with
    pidfile handling etc (closes: #416763, #397289, #414050, #412980, #415752).
  * Merge config file changes.
  * add note for pam_tmpdir users about setting TMPDIR in
    /etc/nagios2/default.  thanks to Richard A Nelson (closes: #414652)

 -- sean finney <seanius@debian.org>  Sat, 09 Jun 2007 11:27:42 +0200

nagios2 (2.6-3) unstable; urgency=low

  [Marc Haber]
  * services_nagios2.cfg: add default notification_interval 0 clauses to
    make it clear that nagios won't re-notify by default.
    Thanks to Jan Wagner.
  * Add symlink from /usr/share/nagios2/htdocs/docs to
    /usr/share/doc/nagios2-doc/html as suggested by Mike O'Connor.
    Closes: #408141
  * init script: use awk -v FS. Thanks to Mike O'Connor. Closes: #408136
  * init script: remove commented sleep-rekill loop which was confusing
    to some users. It has never been enabled in nagios2 and is probably
    left over from whatever package the original nagios2 init script
    was taken from. Closes: #408231
  * run debconf-updatepo and commit new files

  [Sean Finney]
  * added Build-Depends on dpkg-dev >= 1.13.19, since our use of
    source:Version in debian/control requires it.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 24 Feb 2007 10:25:52 +0100

nagios2 (2.6-2) unstable; urgency=low

  * new german debconf translations from Matthias Julius (closes: #400700).
  * remove check_dns from commands.cfg.
    Thanks to Dr. Tilo Levante. Closes: #402303
  * nagios2-common.postinst: Take 127.0.0.1 as default default gateway.
  * nagios2-common.postrm: Send dpkg-statoverride standard error to
    the bin to avoid a row of "No override present" error messages on
    purge.
  * Ship our own resource.cfg with nagios2-common

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 16 Dec 2006 09:24:36 +0100

nagios2 (2.6-1) unstable; urgency=low

  * new upstream version
  * adapt configuration patches
  * adapt installation lists
  * Add README reference to nagios.cfg regarding the command file
  * Add no-op logrotate file to really disable logrorate log rotation.
    Closes: #396173, #401546

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed,  6 Dec 2006 10:57:29 +0100

nagios2 (2.5-3) unstable; urgency=low

  [sean finney]
  * add explicit DirectoryIndex to apache configuration, thanks to
    Heiko Schlittermann for suggesting this (closes: #396100).
  * the previous dpatch for the fixed path in submit_check_result wasn't
    actually set to apply (closes: #396661).  thanks to Richard Nelson
    for pointing this out again.

 -- sean finney <seanius@debian.org>  Sat, 04 Nov 2006 16:45:10 +0100

nagios2 (2.5-2) unstable; urgency=low

  [Marc Haber]
  * Fix wrong path to nagios.cmd in
    /usr/share/nagios2/plugins/eventhandlers/submit_check_result.
    Thanks to Richard A Nelson. Closes: #386152
  * add po-debconf to build-depends
  * fix Source:version dependencies to make lintian and bin-NMUs happier.
  * Create pid directory with -p to allow /var/run to not exist.
    Closes: #390155

  [sean finney]
  * revert to using nagios2's built-in logrotating features, since
    using logrotate caused problems (closes: #388473, #395316).
  * don't unconditionally use ucf in postrm script (closes: #389973).
  * new spanish debconf translates from Rudy Godoy (closes: #394958).

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 28 Oct 2006 10:13:54 +0000

nagios2 (2.5-1) unstable; urgency=low

  * new upstream version. (mh) Closes: #382431
    * Now gracefully exits with meaningful log entry if p1.pl is not found.
      Thanks to Matt Brown. Closes: #368684
  * -dbg package is extra. Thanks to Joerg Jaspert.
  * lsb-ize init script. Closes: #377028
  * Versioned recommends on nagios-images >> 0.1, since n-i 0.2 has
    symlinks fixing the issue mentioned by Herbert Straub. Closes: #358922.
  * remove _ from Default: false in boolean template.
    Thanks to Christian Perrier. (mh) Closes: #371200
  * Add dh_perl invocation to debian/rules
  * Add #!/usr/bin/perl to p1.pl to properly generate perl dependency.
  * make p1.pl executeable to make lintian happy
  * Fix totally mixed up Section: and Priority: for binary packages.
  * Add logrotate file
  * Stop marking the Default fiels as translateable, fix translations.
    Thanks to Thomas Huriaux.
  * Fix path to debian.png in example extinfo file.
    Thanks to Peter Schwindt. Closes: #355552
  * New French (fr) translation.
    Thanks to Steve Petruzzello. Closes: #374418
  * New Czech (cs) translation.
    Thanks to Martin Šín. Closes: #382924

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 16 Aug 2006 10:11:48 +0000

nagios2 (2.4-1) unstable; urgency=low

  * new upstream version. (mh) Closes: #369801
  * now use install-unstripped target instead of 10no-strip patch.
  * remove 20-handle-master-proc-event patch, fixed upstream.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu,  1 Jun 2006 17:18:38 +0000

nagios2 (2.3.1-1) unstable; urgency=low

  [Marc Haber]
  * new upstream version
  * CVE-2006-2489 was already fixed locally in 2.3-1
    * remove dpatch
  * Add nagios2-dbg package
    * Add 10no-strip patch to keep upstream Makefiles from stripping
      binaries before we can build the -dbg package.
  * Fix typos in debian/control
  * Standards-Version: 3.7.2 (no changes necessary thanks to the
    cgi-lib policy having been reverted)
  * Fix short description of nagios2/adminpassword-mismatch to make
    lintian happy.
  * Fix upstream syntax error in handle-master-proc-event script
  * move contrib stuff to /usr/share to avoid having scripts in /usr/lib
  * README.Debian: fix external command procedure

  [sean finney]
  * posterity:  the previous release 2.3-1 also included a fix for
    CVE-2006-2489, as we were the ones who discovered it while fixing the
    previous vulnerability :)
  * include the needed function from the webapps-common httpd stub inline
    in the config script, as fresh installations may not have the file
    available (if using apt instead of dpkg, for example).  Closes: #353966.
  * remove "do not translate" remark and incorporate Christian Perrier's
    suggested modifications to the debconf templates (closes: #352771).

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 29 May 2006 14:12:44 +0000

nagios2 (2.3-1) unstable; urgency=high

  * new upstream version
  * Fix nagios2 restart in init script.
    Thanks to Jim Jensen. (mh) Closes: #360778
  * Fix /usr/share/doc/nagios2/html symlink.
    Thanks to Matt Zagrabelny. (mh) Closes: #360998
  * Create pid file directory dynamically in init script.
    Thanks to Herbert Straub. (mh) Closes: #361239
  * Honor locally set file/dir permissions in postinst, fixing policy
    10.9.1 compliance. Thanks to Heiko Schlittermann. (mh) Closes: #361956

  [sean finney]
  * This upstream version addresses a security issue raised in CVE-2006-2162,
    wrt malcious use of Content-Length headers on cgi scripts.  This debian
    release includes further refinement of this fix 
    (10_CVE-2006-2162_content-length.dpatch)
    as we believe it's still theoretically possible to exploit the issue
    via integer overflow. Closes: #366683.
  * change eventhandlers dir to /usr/lib/nagios2/plugins/eventhandlers,
    and make sure they're included (closes: #363152).
  * security release, so urgency bumped.

 -- sean finney <seanius@debian.org>  Fri, 12 May 2006 15:32:01 +0200

nagios2 (2.2-1) unstable; urgency=low

  * new upstream version
  * fix wrong permissions on /var/lib/nagios2, 750 prevents web
    interface from committing external commands

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 21 Apr 2006 11:09:59 +0000

nagios2 (2.1-1) unstable; urgency=low

  * new upstream version
  * nagios2.prerm: replace "|| exit 0" with "|| true" (see #337664,
    but we had the offending code in the script verbatim)
  * move nagios2-doc to section docs
  * re-work notifications to be slightly more verbose. For example, an
    acknowledgement notification now actually includes the comment.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 31 Mar 2006 11:44:49 +0000

nagios2 (2.0-1) unstable; urgency=low

  * First build with upstream's release version

  [sean finney]
  * cleanup/simplification of http admin username/password handling
    in maintscripts.
  * documentation in README.Debian regarding this.
  * fix in the determining $servers in postinst.
  * the directory removals in the postrm have been updated to reflect
    the nagios2 directory layout.
  * conditionally stop the nagios2 daemon in the nagios2 packages' prerm,
    for cases where it is being purged before nagios2-common's prerm
    does so (the latter will not stop it otherwise).
  * added Joerg Jaspert to the Uploaders field.
  * fix to httpd configuration to properly detect apache2 processes
  * remove numeric NNN_ from conffiles in conf.d, since it doesn't
    affect the order.
  * change the location of the embedded perl interpreter p1.pl to
    /usr/lib/nagios2.
  * a few other misc FHS related path changes.
  * added support for autodetecting the default route and creating
    a host object for it (and registering it in a seperate ucf
    managed file)
  * a few misc additions/edits to our default configuration.
  * added manpages for nagios2(8) and nagios2stats(8)

 -- sean finney <seanius@debian.org>  Sun, 12 Feb 2006 11:19:28 +0100

nagios2 (0rc2-2.0-2) experimental; urgency=low

  * re-work default configuration: split local.cfg into distinct files
    in /etc/nagios2/conf.d from debian/conf.d
  * add lintian override for resource.cfg permissions != 644
  * add linda override for outdated config.(guess|sub), we update at
    build time, keeping the new files outside of Debian .diff

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 23 Jan 2006 16:22:08 +0000

nagios2 (0rc2-2.0-1) experimental; urgency=low

  * another "not quite ready for the limelight" release to experimental,
    with nagios2-doc split off to a seperate package.  thus this will
    once again traverse NEW...

  [marc haber]
  * This package's debconf templates are currently work in progress
    and _will_ change in the very near future. DO NOT TRANSLATE!
  * Add "do not translate" template to debian/templates
  * remove boilerplate instructions from README.Debian
  * move debian/copyright to the right place
  * introduce nagios2-doc and populate it
  * add myself to uploaders
  * make nagios2stats out of nagios2tats
  * build-depend on autotools-dev, use mechanisms from
    /usr/share/doc/autotools-dev/examples/rules.gz to update config.* on
    build
  * fix permissions on /var/log/nagios2 to allow web interface to
    access event log
  * fix rw2 to rw in postinst
  * Fix location of external command file
  * Document "how to enable external commands" in README.Debian

 -- sean finney <seanius@debian.org>  Sun, 22 Jan 2006 19:31:35 +0100

nagios2 (0rc2-2.0-0) experimental; urgency=low

  * this version is targeted as a prelease candidate for experimental.

  [sean finney]
  * update to upstream rc2
  * after the change of course on the nagios vs nagios2 issue, a few
    (hopefully) final naming changes were made in the build process.
  * updated dependencies to reflect that nagios2 does not conflict
    with nagios 1.x.

 -- sean finney <seanius@debian.org>  Sun, 15 Jan 2006 01:55:14 +0100

nagios2 (0rc1-2.0-0) unreleased; urgency=low

  [sean finney]
  * initial version (closes: #341748).  until nagios2 officially releases,
    we'll use the 0$rcfoo-$version numbering scheme so that we never find
    ourselves stuck needing to muck with the epoch.
  * debconf/web configuration, via scripts borrowed from the unreleased 
    webapps-common package.
  * improvements to standard apache configuration
  * various fixes to default configuration to ensure that the
    nagios/nagios2 namespace is clearly defined.

  [marc haber]
  * lots of initial packaging work.  init script, user management, etc.

 -- sean finney <seanius@debian.org>  Sat, 03 Dec 2005 15:29:40 +0100
